#root {
    min-height: 100vh;
    display: flex;
    min-width: 0;
    width: 100%;
    height: 100%;
}

.loader {
    margin: auto;
    width: 50px;
    height: 50px;
}

.circular-loader {
    animation: rotate 2s linear infinite;
}

.loader-path {
    fill: none;
    stroke-width: 3px;
    animation: animate-stroke 1.5s ease-in-out infinite;
    stroke-linecap: round;
}

@keyframes rotate {
    100% {
        transform: rotate(360deg);
    }
}

@keyframes animate-stroke {
    0% {
        stroke-dasharray: 1, 200;
        stroke-dashoffset: 0;
        stroke: #7352C7;
    }
    50% {
        stroke-dasharray: 89, 200;
        stroke-dashoffset: -35;
        stroke: #7352C7;
    }
    100% {
        stroke-dasharray: 89, 200;
        stroke-dashoffset: -124;
        stroke: #7352C7;
    }
}
.-red, .-green, .-selectedTest, .-blank {
    color: #fff!important;
    border: 1px solid #fff;
    border-radius: 500px;
    border-top: 0!important;
}
.nice-dates-day.-blank:not(.-disabled, .-outside) { background-color: #fff!important; color: #999!important  }
.nice-dates-day.-green:not(.-disabled, .-outside) { background-color: #00a698!important;  }
.nice-dates-day.-red:not(.-disabled, .-outside) { background-color: #d1435b!important;  }
.nice-dates-day.-selectedTest { background-color: #0062e3; }

.nice-dates-day:after {
    border: 0px!important;
}

.css-xj4uvt-MuiInputBase-input-MuiOutlinedInput-input.Mui-disabled {
    color: #475259!important;
    -webkit-text-fill-color: #475259!important;
}

.chart-container {
    overflow-x: auto;   
    overflow-y: hidden;  
    white-space: nowrap; 
    width: 100%;        
    height: auto;   
}